RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1874624 - [RFE] Provide method to export commands to create all resources
Summary: [RFE] Provide method to export commands to create all resources
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pcs
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.7
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 1909904
TreeView+ depends on / blocked
 
Reported: 2020-09-01 18:47 UTC by Chris Feist
Modified: 2022-11-08 09:23 UTC (History)
11 users (show)

Fixed In Version: pcs-0.10.13-1.el8
Doc Type: Enhancement
Doc Text:
.New `pcs resource config` command option to display the `pcs` commands that re-create configured resources The `pcs resource config` command now accepts the `--output-format=cmd` option. Specifying this option displays the `pcs` commands you can use to re-create configured resources on a different system.
Clone Of:
: 1909904 2058251 (view as bug list)
Environment:
Last Closed: 2022-11-08 09:12:53 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CLUSTERQE-5756 0 None None None 2022-05-23 16:02:56 UTC
Red Hat Knowledge Base (Solution) 5364341 0 None None None 2020-09-01 20:07:29 UTC
Red Hat Product Errata RHSA-2022:7447 0 None None None 2022-11-08 09:13:11 UTC

Internal Links: 1851335

Description Chris Feist 2020-09-01 18:47:56 UTC
This is a preliminary proposal to create a pcs command to export all resources as from a pcs command.  (and eventually expanding to include other commands).

For example:

With a cluster with 2 dummy resources (D1 & D2)

# pcs resource export
pcs resource create D1 ocf:heartbeat:Dummy
pcs resource create D2 ocf:heartbeat:Dummy

Comment 1 Reid Wahl 2020-09-02 08:48:12 UTC
Just an FYI since I don't expect anyone to click it unprompted: https://access.redhat.com/solutions/5364341 notes that pcs cluster cib/cib-push (with appropriate scope option) accomplishes basically the same thing except for printing individual commands.

I see why people might want an export command like this though.

Comment 12 Ondrej Mular 2022-04-06 06:15:57 UTC
Upstream patch: https://github.com/ClusterLabs/pcs/commit/bb01e77511909efe6513c5e212bfc4d70cfeb64f

Test:
[root@rhel91 pcs]# pcs resource create dummy1 ocf:pacemaker:Dummy
[root@rhel91 pcs]# pcs resource config dummy1 --output-format=cmd
pcs resource create --no-default-ops --force -- dummy1 ocf:pacemaker:Dummy \
  op \
    migrate_from interval=0s id=dummy1-migrate_from-interval-0s timeout=20s \
    migrate_to interval=0s id=dummy1-migrate_to-interval-0s timeout=20s \
    monitor interval=10s id=dummy1-monitor-interval-10s timeout=20s \
    reload interval=0s id=dummy1-reload-interval-0s timeout=20s \
    reload-agent interval=0s id=dummy1-reload-agent-interval-0s timeout=20s \
    start interval=0s id=dummy1-start-interval-0s timeout=20s \
    stop interval=0s id=dummy1-stop-interval-0s timeout=20s

Comment 13 Miroslav Lisik 2022-05-26 08:32:41 UTC
DevTestResults:

[root@r8-node-01 ~]# rpm -q pcs
pcs-0.10.13-1.el8.x86_64


[root@r8-node-01 ~]# pcs resource create dummy1 ocf:pacemaker:Dummy
[root@r8-node-01 ~]# pcs resource config dummy1 --output-format=cmd
pcs resource create --no-default-ops --force -- dummy1 ocf:pacemaker:Dummy \
  op \
    migrate_from interval=0s id=dummy1-migrate_from-interval-0s timeout=20s \
    migrate_to interval=0s id=dummy1-migrate_to-interval-0s timeout=20s \
    monitor interval=10s id=dummy1-monitor-interval-10s timeout=20s \
    reload interval=0s id=dummy1-reload-interval-0s timeout=20s \
    reload-agent interval=0s id=dummy1-reload-agent-interval-0s timeout=20s \
    start interval=0s id=dummy1-start-interval-0s timeout=20s \
    stop interval=0s id=dummy1-stop-interval-0s timeout=20s

Comment 21 Michal Mazourek 2022-07-04 09:36:36 UTC
The same verification as for RHEL9 part of this feature (bz2058251) was used to test this bz - bz2058251 comment 8, results were the same.
Marking as VERIFIED for pcs-0.10.13-1.el8

Comment 22 Steven J. Levine 2022-08-30 21:36:17 UTC
Adding doc text for release note taken from the RHEL 9 version and approved there:

https://bugzilla.redhat.com/show_bug.cgi?id=2058251

Comment 24 errata-xmlrpc 2022-11-08 09:12:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: pcs security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7447


Note You need to log in before you can comment on or make changes to this bug.